Name:           twine
Version:        1.3.1
Release:        1%{?dist}
Summary:        Collection of utilities for interacting with PyPI

License:        ASL 2.0
URL:            https://github.com/pypa/twine
Source0:        https://pypi.python.org/packages/source/t/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
Buildrequires:  python-releases
 
Requires:       python-requests
Requires:       python-pkginfo

%description
Twine is a utility for interacting with PyPI.

The biggest reason to use twine is that python setup.py upload uploads
files over plaintext. This means anytime you use it you expose your
username and password to a MITM attack. Twine uses only verified TLS to
upload to PyPI protecting your credentials from theft.

Secondly it allows you to precreate your distribution files. python
setup.py upload only allows you to upload something that you’ve created
in the same command invocation. This means that you cannot test the
exact file you’re going to upload to PyPI to ensure that it works before
uploading it.

Finally it allows you to pre-sign your files and pass the .asc files
into the command line invocation (twine upload twine-1.0.1.tar.gz
twine-1.0.1.tar.gz.asc). This enables you to be assured that you’re
typing your gpg passphrase into gpg itself and not anything else since
you will be the one directly executing gpg --detach-sign -a <filename>.


%prep
%setup -q
# Remove bundled egg-info
rm -rf %{name}.egg-info

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.rst LICENSE
%{_bindir}/twine
%{_bindir}/twine-upload
%{python2_sitelib}/

%changelog
* Mon Jul 28 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.3.1-1
- Initial packaging
